Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type DatastoreIdentity

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DatastoreIdentity

Annotation for the datastore identity of the class. Corresponds to the xml element "datastore-identity" of the "class" element.

Since:
  2.1
Version:
  2.1

Optional Element Summary
`java.lang.String` | `column` Name of the column for the datastore identity
`Column[]` | `columns` The column(s) making up the datastore identity.
`java.lang.String` | `customStrategy` Custom strategy to use to generate the value for the identity.
`Extension[]` | `extensions` Vendor extensions.
`java.lang.String` | `sequence` Name of sequence to use when the strategy involves sequences
`IdGeneratorStrategy` | `strategy` Strategy to use when generating datastore identities

### strategy

    public abstract IdGeneratorStrategy strategy

  Strategy to use when generating datastore identities

  Returns:
    Strategy to use when generating datastore identities
  Default:
    javax.jdo.annotations.IdGeneratorStrategy.UNSPECIFIED

### customStrategy

    public abstract java.lang.String customStrategy

  Custom strategy to use to generate the value for the identity. If customStrategy is non-empty, then strategy must be UNSPECIFIED.

  Returns:
    the custom strategy
  Default:
    ""

### sequence

    public abstract java.lang.String sequence

  Name of sequence to use when the strategy involves sequences

  Returns:
    Name of sequence to use when the strategy involves sequences
  Default:
    ""

### column

    public abstract java.lang.String column

  Name of the column for the datastore identity

  Returns:
    Name of the column for the datastore identity
  Default:
    ""

### columns

    public abstract Column[] columns

  The column(s) making up the datastore identity.

  Returns:
    The column(s) making up the datastore identity.
  Default:
    {}

### extensions

    public abstract Extension[] extensions

  Vendor extensions.

  Returns:
    the vendor extensions
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.